Summary:	Easy-to-use tool for creating and maintaining portable makefiles
Name:		tmake
Version:	1.7
Release:	2mdk
Group:		Development/Other
Copyright:      Distributable (see LICENSE file)
URL:            http://www.trolltech.com/freebies/tmake.html
Source:	        ftp://ftp.trolltech.com/freebies/tmake/%{name}-%{version}.tar.bz2
Requires:       perl >= 5.001
Buildroot:	/tmp/%{name}-%{version}-root
BuildArch:      noarch
Prefix: %{_prefix}

%description
Tmake is an easy-to-use tool for creating and maintaining makefiles across
many platforms and compilers. This is a command-line tool based on project
files. The idea is that you should spend your time writing code, not
makefiles.

%prep
%setup

%install

install -d ${RPM_BUILD_ROOT}/%{_libdir}/tmake
install -d ${RPM_BUILD_ROOT}/%{_bindir}

cp -R lib ${RPM_BUILD_ROOT}/%{_libdir}/tmake
install bin/tmake ${RPM_BUILD_ROOT}/%{_libdir}/tmake
cat > ${RPM_BUILD_ROOT}/%{_bindir}/tmake <<EOF

TMAKEPATH=%{_libdir}/tmake/lib/linux-g++
export TMAKEPATH
exec %{prefix}/lib/tmake/tmake "\$@"
EOF
install bin/progen ${RPM_BUILD_ROOT}/%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(755, root, root)
%doc README LICENSE CHANGES
%doc doc example
%{_libdir}/tmake
%{_bindir}/tmake


%changelog
* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.7-2mdk
- Rebuilb after six month

* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.7-1mdk
- up to 1.7. 

* Wed Dec 6 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.6-1mdk
- up to 1.6.

* Thu Sep 7 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.5-3mdk
- fixed a bug in the launching script

* Thu Aug 31 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.5-2mdk
- minor fixes in the spec

* Tue Aug 29 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.5-1mdk
- packaged 1.5

* Tue Jun 20 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.4-1mdk
- packaged version 1.4
